Main Page Groups Namespaces

# sigc::internal::signal_emit0< T_return, T_accumulator > Struct Template Reference

Abstracts signal emission. More...

List of all members.

## Public Types

typedef signal_emit0< T_return, T_accumulator > | self_type
typedef T_accumulator::result_type | result_type
typedef slot<T_return> | slot_type
typedef internal::slot_iterator_buf< self_type > | slot_iterator_buf_type
typedef internal::slot_reverse_iterator_buf< self_type > | slot_reverse_iterator_buf_type
typedef signal_impl::const_iterator_type | iterator_type

## Public Member Functions

| signal_emit0 ()
T_return | operator() (const slot_type& _A_slot) const
| Invokes a slot.

## Static Public Member Functions

static result_type | emit (signal_impl* impl)
| Executes a list of slots using an accumulator of type T_accumulator.
static result_type | emit_reverse (signal_impl* impl)
| Executes a list of slots using an accumulator of type T_accumulator in reverse order.

## Detailed Description

### template <class T_return, class T_accumulator>
struct sigc::internal::signal_emit0< T_return, T_accumulator >

Abstracts signal emission.

This template implements the emit() function of signal0. Template specializations are available to optimize signal emission when no accumulator is used, i.e. the template argument T_accumulator is `nil`.

## Member Typedef Documentation

template <class T_return, class T_accumulator>

typedef signal_emit0<T_return, T_accumulator> sigc::internal::signal_emit0<T_return, T_accumulator>::self_type

template <class T_return, class T_accumulator>

typedef T_accumulator::result_type sigc::internal::signal_emit0<T_return, T_accumulator>::result_type

template <class T_return, class T_accumulator>

typedef slot<T_return> sigc::internal::signal_emit0<T_return, T_accumulator>::slot_type

template <class T_return, class T_accumulator>

typedef internal::slot_iterator_buf<self_type> sigc::internal::signal_emit0<T_return, T_accumulator>::slot_iterator_buf_type

template <class T_return, class T_accumulator>

typedef internal::slot_reverse_iterator_buf<self_type> sigc::internal::signal_emit0<T_return, T_accumulator>::slot_reverse_iterator_buf_type

template <class T_return, class T_accumulator>

typedef signal_impl::const_iterator_type sigc::internal::signal_emit0<T_return, T_accumulator>::iterator_type

## Constructor & Destructor Documentation

template <class T_return, class T_accumulator>

sigc::internal::signal_emit0<T_return, T_accumulator>::signal_emit0 | ( |  | ) | `[inline]`

## Member Function Documentation

template <class T_return, class T_accumulator>

T_return sigc::internal::signal_emit0<T_return, T_accumulator>::operator() | ( | const slot_type& | _A_slot | ) | const`[inline]`

Invokes a slot.

Parameters:

  | _A_slot | Some slot to invoke.

Returns:
  The slot's return value.

template <class T_return, class T_accumulator>

static result_type sigc::internal::signal_emit0<T_return, T_accumulator>::emit | ( | signal_impl* | impl | ) | `[inline, static]`

Executes a list of slots using an accumulator of type T_accumulator.

Returns:
  The accumulated return values of the slot invocations as processed by the accumulator.

template <class T_return, class T_accumulator>

static result_type sigc::internal::signal_emit0<T_return, T_accumulator>::emit_reverse | ( | signal_impl* | impl | ) | `[inline, static]`

Executes a list of slots using an accumulator of type T_accumulator in reverse order.

Returns:
  The accumulated return values of the slot invocations as processed by the accumulator.

The documentation for this struct was generated from the following file:

- signal.h